<%inherit file="master.html" />
<div id="forecasts">
    % for forecast in user_forecasts:
        <div id="forecast-${loop.index}" class="forecast">
            <h2>Прогноз</h2>
            <div class="row mb-1">
                <div class="input-group col-6 col-lg">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Зона</span>
                    </div>
                    <select name="zone" class="form-control">
                        % for zone in zones:
                            <option value="${zone['name']}"${('', ' selected')[forecast['zone'] == zone['name']]}>
                                ${zone['name']} (${zone['lat']}с.ш. ${zone['lon']}в.д.)
                            </option>
                        % endfor
                    </select>
                </div>
                <div class="input-group col-6 col-lg">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Аллерген</span>
                    </div>
                    <select name="allergen" class="form-control">
                        % for allergen in allergens:
                            <option value="${allergen['name']}"${('', ' selected')[forecast['allergen'] == allergen['name']]}>
                                ${allergen['name']}
                            </option>
                        % endfor
                    </select>
                </div>

                <div class="input-group col-6 col-lg">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Дата</span>
                    </div>
                    <input name="date" class="form-control" value="${forecast['date']}">
                </div>

                <div class="input-group col-5 col-lg">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Значение</span>
                    </div>
                    <input name="value" class="form-control" value="${forecast['value']}">
                </div>
                <div class="col-1">
                    <button class="btn btn-outline-danger forecast-remove">✖</button>
                </div>
            </div>
        </div>
    % endfor
    <div class="row mb-1">
        <div class="input-group col-6 col-md-3">
            <button class="btn btn-primary btn-block add-forecast">➕</button>
        </div>
        <div class="template">
            <div class="forecast">
                <h2>Прогноз</h2>
                <div class="row mb-1">
                    <div class="input-group col-6 col-lg">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Зона</span>
                        </div>
                        <select name="zone" class="form-control">
                            % for zone in zones:
                                <option value="${zone['name']}">
                                    ${zone['name']} (${zone['lat']}с.ш. ${zone['lon']}в.д.)
                                </option>
                            % endfor
                        </select>
                    </div>
                    <div class="input-group col-6 col-lg">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Аллерген</span>
                        </div>
                        <select name="allergen" class="form-control">
                            % for allergen in allergens:
                                <option value="${allergen['name']}">
                                    ${allergen['name']}
                                </option>
                            % endfor
                        </select>
                    </div>

                    <div class="input-group col-6 col-lg">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Дата</span>
                        </div>
                        <input name="date" class="form-control">
                    </div>

                    <div class="input-group col-5 col-lg">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Значение</span>
                        </div>
                        <input name="value" class="form-control">
                    </div>
                    <div class="col-1">
                        <button class="btn btn-outline-danger forecast-remove">✖</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="forecasts-actions" class="pb-5">
        <div class="row">
            <div class="col col-sm-3">
                <a id="forecasts-actions-save" href="#forecasts-actions" class="btn btn-success mt-3 form-control"
                   role="button">Сохранить</a>
            </div>
            <div class="col col-sm-3">
                <a href="${url_for('index')}" class="btn btn-secondary mt-3 form-control" role="button"
                  >Назад</a>
            </div>
        </div>
    </div>

</div>
<%def name="script()">
    <script>let updatePath = '${url_for('update_user_forecasts')}'</script>
    <script src="/static/js/user_forecasts.js"></script></%def>